---
title: Reconciliation operations
description: Reconciliation is the process of ensuring that the objects in two different data stores are consistent. IDM can reconcile any object, such as groups, roles, and devices.
component: pingoneaic
page_id: pingoneaic:idm-rest-api:endpoints/rest-recon
canonical_url: https://docs.pingidentity.com/pingoneaic/idm-rest-api/endpoints/rest-recon.html
---

# Reconciliation operations

Reconciliation is the process of ensuring that the objects in two different data stores are consistent. IDM can reconcile any object, such as groups, roles, and devices.

The following table lists available endpoints associated with the reconciliation engine:

| URI                                                            | HTTP Operation | Description                                                                                                            |
| -------------------------------------------------------------- | -------------- | ---------------------------------------------------------------------------------------------------------------------- |
| /openidm/recon                                                 | GET            | Returns all reconciliation runs, including those in progress. The `state` property contains the reconciliation status. |
| /openidm/recon?\_action=recon\&mapping=mapping-name            | POST           | Launches a reconciliation run with the specified mapping.                                                              |
| /openidm/recon?\_action=reconById\&mapping=mapping-name\&id=id | POST           | Restricts the reconciliation run to the specified ID.                                                                  |
| /openidm/recon/id?\_action=cancel                              | POST           | Cancels the specified reconciliation run.                                                                              |

The following example runs a reconciliation for the [mapping](../../idm-synchronization/mappings.html) `systemHrdb_managedUser`:

```
curl \
--header "Authorization: Bearer <access-token>" \
--header "Accept-API-Version: resource=1.0" \
--request POST \
"https://<tenant-env-fqdn>/openidm/recon?_action=recon&mapping=systemHrdb_managedUser"
```

For more information on reconciliation, refer to [Synchronization types](../../idm-synchronization/sync-types.html).
